Bug 55817 - spec file lacks RPM directory macros
spec file lacks RPM directory macros
Product: Red Hat Raw Hide
Classification: Retired
Component: texinfo (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-11-06 21:54 EST by kenneth_porter
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-12 10:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Replacement spec file, release set to 4kp (8.04 KB, text/plain)
2001-11-06 21:56 EST, kenneth_porter
no flags Details
a patch that does the same thing (2.57 KB, patch)
2002-03-01 15:11 EST, Need Real Name
no flags Details | Diff

  None (edit)
Description kenneth_porter 2001-11-06 21:54:57 EST
The spec file for texinfo-4.0b-3 uses directory names like share/info 
instead of RPM macros like %{_infodir}. Using the latter allows the 
package to be used on pre-FHS systems. I'm attaching a fixed spec file.
Comment 1 kenneth_porter 2001-11-06 21:56:31 EST
Created attachment 36721 [details]
Replacement spec file, release set to 4kp
Comment 2 Need Real Name 2002-03-01 15:11:35 EST
Created attachment 47142 [details]
a patch that does the same thing
Comment 3 Need Real Name 2002-03-01 15:12:33 EST
I ran into the same problem.  I've attached a patch for texinfo.spec that might
be easier to integrate.

Note You need to log in before you can comment on or make changes to this bug.